> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Results

> Get all results for a simulation run.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/simulation/runs/{run_id}/results
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/simulation/runs/{run_id}/results:
    get:
      tags:
        - Simulation
      summary: List Results
      description: Get all results for a simulation run.
      operationId: core_api_v1_controllers_simulation_list_results
      parameters:
        - in: path
          name: run_id
          schema:
            title: Run Id
            type: string
          required: true
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulationResultListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SimulationResultListOut:
      description: Paginated list response for simulation results.
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/SimulationResultOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: SimulationResultListOut
      type: object
    SimulationResultOut:
      description: Response schema for simulation results.
      properties:
        object:
          default: simulation_result
          title: Object
          type: string
        id:
          title: Id
          type: string
        test_case_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Test Case Id
        conversation_step_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Step Id
        thread_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Thread Id
        actual_response:
          anyOf:
            - type: string
            - type: 'null'
          title: Actual Response
        actual_tool_calls:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Actual Tool Calls
        actual_routed_agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Actual Routed Agent Id
        actual_routed_agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Actual Routed Agent Name
        passed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Passed
        llm_evaluation:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Llm Evaluation
        evaluation_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Evaluation Score
        executed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Executed At
        execution_time_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Execution Time Ms
      required:
        - id
      title: SimulationResultOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````